## Tabellenname (table_name)

Ein Tabellenname (table_name) identifiziert eine Tabelle.

### Syntax

<table_name> ::= [<schema_name>.]<identifier>

Der Schemaname und der Bezeichner dürfen jeweils nicht länger als 32 Zeichen lang sein.

### Erläuterung

Tabellen und View-Tabellen werden durch Tabellennamen identifiziert. Ein Tabellenname besteht aus einem Schemanamen (schema_name) und einem Bezeichner (identifier).

Alle Tabellenbezeichner, die einem Schema angehören, müssen voneinander verschieden sein.

Das Datenbanksystem verwendet für interne Zwecke einige Tabellennamen, bei denen der Bezeichner mit SYS beginnt. Um Namenskollisionen zu vermeiden, sollten Sie daher keine mit SYS beginnenden Tabellennamen verwenden.

Siehe auch:

CREATE TABLE-Anweisung

CREATE VIEW-Anweisung

CREATE SYNONYM-Anweisung

CREATE SCHEMA-Anweisung

und weitere SQL-Anweisungen zur Datendefinition